Tag Archiv: ppa

kernel-ppa


Репозиторий с более новыми версиями ядра доступен для пользователей Ubuntu Lucid и Ubuntu Natty.

Для их установки нужно сделать это:

sudo add-apt-repository ppa:kernel-ppa/ppa
sudo apt-get update
sudo apt-get install
или
sudo apt-get dist-upgrade

Доступные версии ядра на PPA:

Пакет Релиз Последняя версия Последнее обновление
linux natty 2.6.39-0.5~20110427 2011-04-28 00:03:16 UTC
linux lucid 2.6.35-22.34 2010-10-08 00:21:27 UTC

Собственно ссылка на PPA:

https://launchpad.net/~kernel-ppa/+archive/ppa

Firefox 4 как основной браузер

Несколько месяцев назад для самых нетерпеливых мы рассматривали установку Firefox 4 beta. Нужно отметить, что и сейчас в том репозитории предлагаются последние бета версии браузера (4.2 на момент написания этой заметки).
Если же вы хотите пользоваться стабильной версией (и не хотите использовать предлагаемую сборку от Mozilla), то советую воспользоваться следующим командой для добавления репозитория и обновления вашей версии Firefox (< 4.0) до стабильной.

sudo add-apt-repository ppa:mozillateam/firefox-stable && sudo aptitude update && sudo aptitude upgrade

Меняем OpenOffice на LibreOffice 3.3

Не так давно, буквально с интервалом в пару дней, вышли новые версии LibreOffice и Oracle OpenOffice. Тем, кто еще не определился, каким из офисных пакетов продолжать пользоваться далее, будет небезынтересно узнать, что в Ubuntu 11.04 планируется использование LibreOffice.
Как для OpenOffice 3.3, так и для LibreOffice 3.3, на официальных сайтах предлагаются бинарные сборки этих офисных пакетов, но, если же вы все-таки решили отказаться от «открытого» в пользу «свободного», то ниже мы рассмотрим установку LibreOffice из ppa-источника.

В первую очередь добавляем официальный репозиторий и обновляем систему:
sudo add-apt-repository ppa:libreoffice/ppa && sudo apt-get update && sudo apt-get upgrade
Перед установкой LibreOffice настоятельно рекомендуем удалить OpenOffice из-за конфликта этих офисных пакетов. 
sudo apt-get remove openoffice*
Примечание: В интернете встречаются рекомендации воспользоваться synaptic для разрешения конфликта, но следует ли захламлять систему, и нужны ли вам одновременно оба офисных пакета — решать вам.

Обратите внимание, что в процессе удаления OpenOffice могут быть затронуты и другие пакеты (вы увидите эти пакеты в перечне готовых к удалению). Скопируйте себе названия этих пакетов, например, в пустой текстовый файл, чтобы потом установить заново.

В моём случае, таковыми оказались aspell aspell-en dictionaries-common language-support-writing-ru myspell-ru pan

Устанавливаем LibreOffice, если вы пользуетесь Gnome:
sudo apt-get install libreoffice libreoffice-gnome
или, если вы пользуетесь KDE:
 sudo apt-get install libreoffice libreoffice-kde

Переустанавливаем нужные пакеты, что были удалены вместе с OpenOffice и приступаем к работе.

Следует сказать, что LibreOffice самостоятельно подхватил словари, которые использовались в OpenOffice, поэтому повторная установка проверки орфографии не потребовалась.

Свежие версии mplayer и x264 для Ubuntu

Если вы часто занимаетесь кодированием видео, особенно с использованием x264, рано или поздно, вы придете к выводу, что основные программы для кодирования видео (mplayer/mencoder и x264) в официальных репозиториях обновляются не так часто, как этого хотелось бы, учитывая весьма существенные периодические изменения в этих программах.
В интернете предлагают собирать программы из исходников, пользоваться git или svn, но, при этом вам придется самостоятельно следить за обновлениями как самих программ, так и пакетов, которые нужны для сборки (различные исходники кодеков и т.п.). К тому же, многие пользователи Ubuntu непривычны к компиляции, и такая задача может показаться им весьма неудобной.

Намного привлекательнее выглядит идея использования стороннего PPA-репозитория с последними версиями программ. Такой репозиторий «MPlayer Daily Builds« предлагает команда “MOTU Media Team«. 
Для добавления репозитория и обновления программ выполните следующее:
sudo add-apt-repository ppa:motumedia/mplayer-daily && sudo apt-get update && sudo apt-get upgrade

Теперь при появлении свежих версий обновления будут устанавливаться вместе с обновлениями всей системы.

Устанавливаем Firefox 4 beta

Firefox 4 beta
Еще 13 октября 2006 года Брендан Айк, главный технический инженер Mozilla, написал о своих планах насчёт Gecko 2.0 — платформы, на которой, вероятно, будет базироваться Firefox 4.0.

Предполагалось, что Firefox 4 выйдет в ноябре 2010 года. Но позднее запланированная дата выпуска была перенесена на начало 2011 года.

Среди характеристик Firefox 4 можно перечислить:
  • новая тема на всех платформах;
  • синхронизация закладок;
  • улучшение менеджера дополнений;
  • группировка вкдадок;
  • поддержка WebM, WebGL;
  • аппаратное ускорение графики;
  • дополнительная оптимизация JavaScript-движка TraceMonkey под названием J?gerMonkey;
  • улучшение поддержки HTML5 и CSS3.

Чтобы установить Firefox 4 beta уже сегодня, достаточно выполнить:
sudo add-apt-repository ppa:ubuntu-mozilla-daily/ppa && sudo apt-get update && sudo apt-get install firefox-4.0

Браузер будет доступен в меню Gnome под названием Minefield 4.0 («Минное поле»), которое как бы предупреждает, что этот браузер является еще настибильным, и пользоваться им можно только на свой страх и риск.

Ищем замену Adobe Flash: Lightspark, Gnash, Swfdec

На днях было объявлено о выходе новой версии альтернативного Flash-плеера Lightspark 0.4.5. 
Пользуясь случаем, рассмотрим 3 альтернативы для AdobeFlash: Lightspark, Gnash и SwfDec. Хотя в интернете уже вовсю трубят о скорой гегемонии HTML5, сегодня поддержка Flash нужна все еще многим.
Предполагаем, что используется браузер Firefox, поэтому результаты тестирования и установка плагинов будет рассмотрена для него.

Также перед установкой каждого из пакетов рекомендуется удалить альтернативные и собственно Adobe Flash, например
sudo apt-get remove flashplugin-nonfree fflashplayer-mozilla flashplugin
ну и указанные ниже пакеты, если какие-то были установлены. Это действие не является обязательным, но желательным. Ну и само собой, перезапустить браузер.
 
Lightspark. В частности, среди преимуществ этого пакета называют следующее:


За счет тесного использования OpenGL и JIT-компиляции нагрузка на систему при работе Lightspark заметно меньше, чем при просмотре того же ролика в Gnash или Adobe Flash. Проект развивается при поддержке организации GNOME Foundation. 
Ключевым новшеством представленного выпуска является переход на использование нового графического движка, позволяющего обеспечить более качественное и быстрое отображение графики, уменьшив при этом нагрузку на CPU. Новая графическая архитектура построена по комбинированной схеме, в которой использованы и программные методы формирования изображения (вывод геометрических примитивов через Cairo, используя многопоточную схему обработки) и аппаратные механизмы акселерации (декодирование видео с использованием Pixel Buffer Objects; задействование OpenGL для работы фильтров и эффектов).

Вторым важным новшеством является полный редизайн системы ввода, что позволило добиться работоспособности кнопок Play/Pause при просмотре YouTube-роликов.

Следует сказать, что сам Lightspark основан на Gnash, о котором речь пойдет ниже.
Для установки последней версии Lightspark нам необходимо добавить РРА-репозиторий:
sudo apt-add-repository ppa:sssup/sssup-ppa

 Обновим список пакетов:

sudo aptitude update 

или

sudo apt-get update

И установим собственно пакет и плагин для Firefox:

sudo apt-get install lightspark browser-plugin-lightspark

Обратите внимание, что в списке зависимостей будет и собственно gnash.

Результат теста: следует сказать, что хотя и flash в принципе работает, но браузер очень часто подвисал «намертво», с максимальной загрузкой процессора, в  том числе даже от обыкновенных флеш-баннеров. Поэтому долго тестировать у меня его не получилось.  В результате, рекомендовать для полноценного использования не могу. При этом в пункте about флеш-видео и флеш-роликов, равно как и в «Дополнениях» Firefox, Lightspark идентифицируется как Gnash.

Gnash, название которого происходит от слов GNU и Flash, на основе которого и был создан Lightspark,  в свою очередь берет свое начало от проекта GPLFlash. Gnash продолжает развиваться параллельно  с Lightspark и имеет определенную аудиторию поклонников, в том числе на тех платформах/архитектурах, для которых Adobe не выпустила свой плеер. 
Пакет есть в репозитории Ubuntu и его установка не составит сложности:
sudo aptitude install gnash mozilla-plugin-gnash
Результат теста: пакет работает стабильнее, чем Lightspark, но в моем случае, вероятно наблюдался конфликт с видеосистемой, т.к. при скролинге страниц с флеш-роликами на экране оставался след от них, что весьма часто делало серфинг весьма затруднительным. При этом периодически наблюдалась максимальная загрузка процессора. Как вывод, использовать в качестве постоянной замены Flash — рано.
Swfdec, не смотря на последнее обновление в 2008 году, по праву можно назвать наиболее стабильной заменой Adobe Flash. Хотя ему и не под силу полноценно выводить некоторые ролики, все же с большинством он справляется хорошо, при этом не вызывая сбои в работе браузера и не страдая от чрезмерной загрузки процессора. Именно этот пакет я использую уже весьма продолжительное время, и как оказалось, не зря.
Установить его можно следующей командой: 
sudo aptitude install swfdec-mozilla
 Результат теста: не смотря на то, что пакет не может похвастаться самыми широкими возможностями, на практике оказывается наиболее стабильным.
Решать, что использовать —  вам. И все же, если вы решили отказаться от Adobe Flash, то мой совет — ставьте Swfdec.

Установка Compiz 0.9.2 в Ubuntu 10.10

Любимый  оконный менеджер Compiz выпустил несколько недель назад обновление для своей нестабильной версии 0.9 — 0.9.2. Вот как можно установить его с PPA.

sudo add-apt-repository ppa:unity/ppa
sudo apt-get update && sudo apt-get upgrade

В релиз были включены тонны исправлений и несколько новых функций.